%global __strip %{mingw_strip}
%global __objdump %{mingw_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{mingw_findrequires}
%global __find_provides %{mingw_findprovides}
%define __debug_install_post %{mingw_debug_install_post}

%global mingw_pkg_name orc
%global mingw_build_win32 1
%global mingw_build_win64 1

Name:		mingw-orc
Version:	0.4.14
Release:	1%{?dist}
Summary:	Cross compiled Oil Run-time Compiler

Group:		System Environment/Libraries
License:	BSD
URL:		http://code.entropywave.com/projects/orc/
Source0:	http://code.entropywave.com/download/orc/orc-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw-filesystem >= 65
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc

%{?mingw_default_requires}
%{?mingw_debug_package}

%description
Orc is a library and set of tools for compiling and executing
very simple programs that operate on arrays of data.  The "language"
is a generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.

# Mingw32
%package -n mingw32-%{mingw_pkg_name}
Summary:        %{summary}

%description -n mingw32-%{mingw_pkg_name}
Cross compiled Oil Run-time Compiler.

%package -n mingw32-%{mingw_pkg_name}-compiler
Summary:	Orc compiler
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description -n mingw32-%{mingw_pkg_name}-compiler
The Orc compiler, to produce optimized code.

# Mingw64
%package -n mingw64-%{mingw_pkg_name}
Summary:        %{summary}

%description -n mingw64-%{mingw_pkg_name}
Cross compiled Oil Run-time Compiler.

%package -n mingw64-%{mingw_pkg_name}-compiler
Summary:	Orc compiler
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description -n mingw64-%{mingw_pkg_name}-compiler
The Orc compiler, to produce optimized code.


%prep
%setup -q -n orc-%{version}

%build
%mingw_configure "--enable-shared" "--disable-static" "--disable-gtk-doc"

%mingw_make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%mingw_make_install "DESTDIR=$RPM_BUILD_ROOT"

# Remove gtk documentation.
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/gtk-doc $RPM_BUILD_ROOT%{mingw64_datadir}/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT


# Mingw32
%files -n mingw32-%{mingw_pkg_name}
%defattr(-,root,root,-)
%doc COPYING README
%{mingw32_libdir}/liborc-*.dll.a

%{mingw32_includedir}/orc-0.4/
%{mingw32_bindir}/liborc-*.dll
%{mingw32_libdir}/liborc-*.la
%{mingw32_libdir}/pkgconfig/orc-0.4.pc
%{mingw32_bindir}/orc-bugreport.exe

%files -n mingw32-%{mingw_pkg_name}-compiler
%defattr(-,root,root,-)
%{mingw32_bindir}/orcc.exe

# Mingw64
%files -n mingw64-%{mingw_pkg_name}
%defattr(-,root,root,-)
%doc COPYING README
%{mingw64_libdir}/liborc-*.dll.a

%{mingw64_includedir}/orc-0.4/
%{mingw64_bindir}/liborc-*.dll
%{mingw64_libdir}/liborc-*.la
%{mingw64_libdir}/pkgconfig/orc-0.4.pc
%{mingw64_bindir}/orc-bugreport.exe

%files -n mingw64-%{mingw_pkg_name}-compiler
%defattr(-,root,root,-)
%{mingw64_bindir}/orcc.exe

%changelog
* Fri May 13 2011 - Marc-André Lureau <marcandre.lureau@redhat.com> - 0.4.14-1
- Updated to 0.4.14
- Updated to newer mingw instructions (with mingw64 support)

* Wed Dec 29 2010 - Marc-André Lureau <marcandre.lureau@redhat.com> 0.4.11-1
- Initial mingw32-orc 0.4.11
- Based upon previous package in Fedora by Fabian Deutsch
